function chi=bin(parm);
% chi = bin(parm)
% computes chi square  for binomial model

%CONSTANT
global model nt

%VARIABLE
global x y 

a=parm(1,1); b = parm(2,1); c=parm(3,1); d = 1-(a+b+c);

chi=0;

for t = 2:nt
yt = y(t,:)';
p = [a b c d]'; 

pp = .0001 + .9998*p;

chi = chi + log(pp)'*yt;
end % end of training

chi = -2*chi;
