function [xx,yy]=subjectdata(sid)
%reads out the subject specific data of subject number "subid", which is needed for the training loop in fitr1
global data nt ns
%TASK: Write functions that extract x and y from the data
%xx (nt x 2 matrix) contains the choice in one column and the loss in the second column, row each trial (row)
%yy is a nt x 4 matrix, that contains a 4d vector at each column which represents the choice at that trial in the form (0;1;0;0)
%---------------------------------------Determine the subject specific data needed for the training---------


%------------------------------ONE ALTERNATIVE---------------------------------------
xx = data(((sid-1)*nt+1):((sid)*nt),[2 4 5]);                                      %choice and loss columns of all 100 trials + version (1 or 2, disparity)
yy = (ones(nt,1)*[1 2 3 4]) == (xx(:,1)*[1 1 1 1]);      %decision matrix; one 4d row-vector for each trial; a one denotes the choice
%== is an elementwise comparison that returns true or false


% Eldad : Changed the size of XX matrix to 3 columns: Choice (put into yy), wins and losses
