%Estimates parameters and computes chi sq for a single subject with subject number/id=i
function [parm, chi] = main1(i);

%CONSTANT
global nt 

%VARIABLE
global rp       %Point in raster from which the search starts
global x y      %Subject specific data; needed for training (introduced first here)

%size of deck
%global deck

%if i < 51 
%    deck = 60;
% else
%    deck = 40;
% end      


%Load data into global variables
[x,y]=subjectdata(i); %Specifies the subject specific data


%Main Part-Call optimization which uses the loaded data   
[parm, chi1]=fminsearch('fitr1',rp); 

%--------------------------Comparison with other Model----------------
mp = sum(y)'/nt;
chi2=bin(mp) ;

% 'Bin Chi Sq minus Model Chi Sq '
chi = chi2-chi1;
 
